### Method

# ICalGLib Component set_x_name

since: 4.0

#### Declaration [src]

    void
    i_cal_component_set_x_name (
      ICalComponent* component,
      const gchar* xname
    )

#### Description [src]

Sets an X (custom) name of the `component`.

Available since: 4.0

#### Parameters

`xname`

  Type: `const gchar*`

  An X (custom) name for the `component`.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.